| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# keysym

$Revision: 1.3 $

$Date: 2002/06/12 11:18:16 $

keysym — The symbolic name of a key on a keyboard

## Synopsis

### Mixed Content Model

    keysym ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

## Description

The `KeySym` identifies the symbolic name of a key on a computer keyboard. This is distinct from any scan code that it may generate (`KeyCode`), or any symbolic name (`KeySym`) that might exist for the key.

### Processing expectations

Formatted inline.

### Parents

These elements contain keysym: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `keycombo`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `shortcut`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in keysym: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## See Also

`accel`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `keycap`, `keycode`, `keycombo`, `menuchoice`, `mousebutton`, `shortcut`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    The <keycap>F1</keycap> key on an IBM PC keyboard generates the
    scan code <keycode>0x3B</keycode> when pressed.  This value
    is defined as <keysym>KEY_F1</keysym> in
    <filename class="headerfile">keyboard.h</filename>.
    </para>

The F1 key on an IBM PC keyboard generates the scan code 0x3B when pressed. This value is defined as KEY_F1 in `keyboard.h`.

For additional examples, see also `guimenu`, `guimenuitem`, `keycap`, `keycode`, `menuchoice`, `shortcut`.

keycombo |  | keyword

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.